﻿@model IEnumerable<EPPW.Membership.Dto.UserDto>


<table id="UserTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr role="row">
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UserTable" rowspan="1" colspan="1" style="width: 60px;">UserName</th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UserTable" rowspan="1" colspan="1" style="width: 106px;">Email</th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UserTable" rowspan="1" colspan="1" style="width: 30px;">IsLockedOut</th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UserTable" rowspan="1" colspan="1" style="width: 50px;">Roles</th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UserTable" rowspan="1" colspan="1" style="width: 30px;"></th>
                </tr>
            </thead>
            <tbody>
                @if (Model == null)
                {
                    <tr><td colspan="4"><p>没有查询的数据。</p></td></tr>
                }
                else
                {
                    foreach (EPPW.Membership.Dto.UserDto item in Model)
                    {
 
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.UserName)</td>
                        <td>@Html.DisplayFor(modelItem => item.Email)</td>
                        <td>@Html.DisplayFor(modelItem => item.IsLockedOut)</td>
                        <td>
                            <a href="@Url.Action("UsersInRole", "AdminUser", new { id = item.UserId, userName = item.UserName })" class="btn btn-small btn-block"><i class='icon-filter'></i> @item.RoleCnt</a>
                        </td>
                        <td><div class="btn-group"> @*  btn-primary btn-info  btn-danger*@
                            <a href="@Url.Action("Details", "AdminUser", new { id = item.UserId })" class="btn btn-small" title="Detail" ><i class='icon-info-sign'></i></a>
                            <a href="@Url.Action("Edit", "AdminUser", new { id = item.UserId })" class="btn btn-small" title="Edit" ><i class='icon-edit'></i></a>
                            <a href="@Url.Action("Delete", "AdminUser", new { id = item.UserId })" class="btn btn-small" title="Delete"><i class='icon-trash'></i></a>
                            </div></td>
                    </tr>
                    }
                }
            </tbody>
        </table>

